# $Revision: 1.2 $, $Date: 2002/09/10 21:28:13 $
#
# Conditional build:
# _without_tests - do not perform "make test"
%include	/usr/lib/rpm/macros.perl
%define	pdir	Tie
%define	pnam	Coupler
Summary:	Tie::Coupler - Tie based implementation of coupled scalars
Summary(pl):	Tie::Coupler - implementacja par skalarw bazujca na Tie
Name:		perl-Tie-Coupler
Version:	0.01
Release:	2
License:	GPL/Artistic
Group:		Development/Languages/Perl
Source0:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
BuildRequires:	rpm-perlprov >= 3.0.3-26
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Tie::Coupler provides a mechanism by which you can couple two scalars.
That is the value of the coupled scalar would determined by the value
of the scalar to which it is coupled. The code referenced by the
options fconvert and rconvert determine the relation between the two
scalars.

%description -l pl
Modu Tie::Coupler udostpnia mechanizm, ktrym mona powiza dwa
skalary. Oznacza to, e warto powizanego skalaru bdzie okrelona
przez warto skalaru, z ktrym zosta powizany. Kod wskazany przez
opcje fconvert i rconvert okrela relacj midzy obydwoma skalarami.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
perl Makefile.PL
%{__make}

%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a example $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_sitelib}/%{pdir}/*.pm
%{_mandir}/man3/*
%{_examplesdir}/%{name}-%{version}

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Tie-Coupler.spec,v $
Revision 1.2  2002/09/10 21:28:13  qboosh
- pl description, release 2

Revision 1.1  2002/09/07 18:59:44  radek
- new, STBR
